Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 191540

Summary: Review Request: perl-Net-XMPP
Product: [Fedora] Fedora Reporter: Chris Weyl <cweyl>
Component: Package ReviewAssignee: Jason Tibbitts <j>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: xavier
Target Milestone: ---Flags: gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-06-04 04:38:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 191523    
Bug Blocks: 163779, 191545    

Description Chris Weyl 2006-05-12 19:35:57 UTC
Spec URL: http://home.comcast.net/~cweyl/perl-Net-XMPP.spec
SRPM URL: http://home.comcast.net/~cweyl/perl-Net-XMPP-1.0-1.fc5.src.rpm
Description: 
Net::XMPP provides a Perl user with access to the Extensible
Messaging and Presence Protocol (XMPP).

Comment 1 Jason Tibbitts 2006-05-12 19:44:10 UTC
Umm, neither of those URLs seems to be valid.

Comment 2 Jason Tibbitts 2006-05-12 19:45:00 UTC
Ah, it should be ~ckweyl; I'll proceed with the review.

Comment 3 Jason Tibbitts 2006-05-12 20:07:09 UTC
The summary is a bit content-free, but I can't suggest a better one that fits in
80 columns.

The license of this package would seem to be LGPL, according to the XMPP.pm file
and the presense of LICENSE.LGPL.

Fails to build due to a lack of XML::Stream.  Please submit your packages in
dependency order if at all possible.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
follows the Perl specfile template.
X license field matches the actual license.
X license is open source-compatible; license text is included upstream but is
not packaged.
* source files match upstream:
   6338484aa0d394e68c01666ca34e5241  Net-XMPP-1.0.tar.gz
   6338484aa0d394e68c01666ca34e5241  Net-XMPP-1.0.tar.gz-srpm
* latest version is being packaged.

Can't proceed further with the review due to dependency issues.


Comment 4 Chris Weyl 2006-05-12 21:44:50 UTC
Fixed dep linkage in BZ.

Net/XMPP (off search.cpan.org) says:
http://search.cpan.org/dist/Net-XMPP/lib/Net/XMPP.pm#COPYRIGHT

"This module is free software, you can redistribute it and/or modify it under
the same terms as Perl itself." aka GPL & Artistic.

Nonetheless, LICENSE.LGPL does exist in the tarball.  I just emailed the author
(Ryan Eatmon) asking for clarification.

Comment 5 Jason Tibbitts 2006-05-12 22:11:46 UTC
> Net/XMPP (off search.cpan.org) says:
> http://search.cpan.org/dist/Net-XMPP/lib/Net/XMPP.pm#COPYRIGHT

Yes, but if you click "Source" and look at the prominent copyright notice at the
beginning of the file, you'll see the LGPL statement.

Unfortunately this package is blocked until we can get this clarified. 
Hopefully upstream will be responsive.

Comment 6 Chris Weyl 2006-05-15 14:37:10 UTC
Updated:
Spec URL: http://home.comcast.net/~ckweyl/perl-Net-XMPP.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Net-XMPP-1.0-2.fc5.src.rpm

Additionally, with respect to licensing, the author indicates that perl (GPL &
Artistic) is the correct license:

Date: Sun, 14 May 2006 16:52:31 -0500
From: Ryan Eatmon <reatmon>
To: Chris Weyl <cweyl.edu>
Subject: Re: Net::XMPP license question

Yep.


Chris Weyl wrote:
> Hey Ryan--
> 
> Quick question.  I'm in the middle of packaging up Net::XMPP (and for
> that matter, XML::Stream and Net::Jabber) for fedora extras, and it
> was pointed out to me that while Net/XMPP.pm states "COPYRIGHT: This
> module is free software, you can redistribute it and/or modify it
> under the same terms as Perl itself", the actual archive includes a
> LICENSE.LGPL.
> 
> Are all three of these modules under "the same terms as Perl itself"?
> 
> Thanks:)

Comment 7 Chris Weyl 2006-05-24 15:49:41 UTC
Updated to indicate the module is triple licensed: Perl (Artistic / GPL) & LGPL
(See BZ#191523)

Updated:
Spec URL: http://home.comcast.net/~ckweyl/perl-Net-XMPP.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Net-XMPP-1.0-3.fc5.src.rpm

Comment 8 Chris Weyl 2006-05-26 03:56:10 UTC
Included licensing correspondance, as well as the text of all three licenses.

Looked at the test suite -- seems to do a good job of not failing on network
blockage; can filter those out if needs be.

Updated:
Spec URL: http://home.comcast.net/~ckweyl/perl-Net-XMPP.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Net-XMPP-1.0-4.fc5.src.rpm



Comment 9 Jason Tibbitts 2006-05-28 02:39:47 UTC
This fails to build in mock due to the test suite; some tests are automatically
skipped but t/roster dies:

t/roster.................Cannot resolve compute20.math.uh.edu:  at
/usr/lib/perl5/vendor_perl/5.8.8/XML/Stream.pm line 406.
# Looks like you planned 75 tests but only ran 1.
# Looks like your test died just after 1.
dubious
        Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 2-75
        Failed 74/75 tests, 1.33% okay
Failed Test Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/roster.t   255 65280    75  148 197.33%  2-75
8 subtests skipped.
Failed 1/11 test scripts, 90.91% okay. 74/650 subtests failed, 88.62% okay.

BR: perl is redundant, but not a blocker.

I've disabled the tests for the purposes of this review.

Since the only issue is that you need to disable the test suite in order to
build, I'll go ahead and approve and you can fix it when you check in.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* license field matches the actual licenses
* license is open source-compatible.  Text of all licenses included in package.
* source files match upstream:
   6338484aa0d394e68c01666ca34e5241  Net-XMPP-1.0.tar.gz
   6338484aa0d394e68c01666ca34e5241  Net-XMPP-1.0.tar.gz-srpm
* latest version is being packaged.
O BuildRequires are proper (perl is redundant).
O package builds in mock (development, x86_64) once test suite is disabled.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Net::XMPP) = 1.0
   perl(Net::XMPP::Client)
   perl(Net::XMPP::Connection)
   perl(Net::XMPP::Debug)
   perl(Net::XMPP::IQ)
   perl(Net::XMPP::JID)
   perl(Net::XMPP::Message)
   perl(Net::XMPP::Namespaces)
   perl(Net::XMPP::Presence)
   perl(Net::XMPP::PrivacyLists)
   perl(Net::XMPP::Protocol)
   perl(Net::XMPP::Roster)
   perl(Net::XMPP::Stanza)
   perl-Net-XMPP = 1.0-4.fc6
  -
   perl >= 0:5.003
   perl >= 0:5.005
   perl(:MODULE_COMPAT_5.8.8)
   perl(Authen::SASL)
   perl(Carp)
   perl(Digest::SHA1)
   perl(FileHandle)
   perl(MIME::Base64)
   perl(Net::XMPP::Client)
   perl(Net::XMPP::Connection)
   perl(Net::XMPP::Debug)
   perl(Net::XMPP::IQ)
   perl(Net::XMPP::JID)
   perl(Net::XMPP::Message)
   perl(Net::XMPP::Namespaces)
   perl(Net::XMPP::Presence)
   perl(Net::XMPP::PrivacyLists)
   perl(Net::XMPP::Protocol)
   perl(Net::XMPP::Roster)
   perl(Net::XMPP::Stanza)
   perl(POSIX)
   perl(Time::Local)
   perl(XML::Stream) >= 1.22
   perl(base)
   perl(strict)
   perl(vars)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
O %check is present but must be disabled for mock builds.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED

Comment 10 Chris Weyl 2006-06-04 04:38:09 UTC
Built for devel, FE-4, FE-5.  Thanks for the review! :)

Comment 11 Xavier Bachelot 2009-07-17 22:17:03 UTC
Chris is ok with me taking the EL branches : https://bugzilla.redhat.com/show_bug.cgi?id=496891

Package Change Request
======================
Package Name: perl-Net-XMPP
New Branches: EL-5
Owners: xavierb

Comment 12 Kevin Fenzi 2009-07-19 20:57:42 UTC
cvs done.

Comment 13 Xavier Bachelot 2014-09-03 17:53:02 UTC
Package Change Request
======================
Package Name: perl-Net-XMPP
New Branches: epel7
Owners: xavierb mmraka

Comment 14 Gwyn Ciesla 2014-09-03 18:09:05 UTC
Git done (by process-git-requests).